VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo:
[legend]

## Public Member Functions

| PipelineInputAssemblyStateCreateInfo (PipelineInputAssemblyStateCreateFlags flags_=PipelineInputAssemblyStateCreateFlags(), PrimitiveTopology topology_=PrimitiveTopology::ePointList, Bool32 primitiveRestartEnable_=0)
| PipelineInputAssemblyStateCreateInfo (VkPipelineInputAssemblyStateCreateInfo const &rhs)
PipelineInputAssemblyStateCreateInfo & | operator= (VkPipelineInputAssemblyStateCreateInfo const &rhs)
PipelineInputAssemblyStateCreateInfo & | setPNext (const void *pNext_)
PipelineInputAssemblyStateCreateInfo & | setFlags (PipelineInputAssemblyStateCreateFlags flags_)
PipelineInputAssemblyStateCreateInfo & | setTopology (PrimitiveTopology topology_)
PipelineInputAssemblyStateCreateInfo & | setPrimitiveRestartEnable (Bool32 primitiveRestartEnable_)
| operator VkPipelineInputAssemblyStateCreateInfo const & () const
| operator VkPipelineInputAssemblyStateCreateInfo & ()
bool | operator== (PipelineInputAssemblyStateCreateInfo const &rhs) const
bool | operator!= (PipelineInputAssemblyStateCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineInputAssemblyStateCreateFlags | flags
PrimitiveTopology | topology
Bool32 | primitiveRestartEnable

## Private Attributes

StructureType | sType = StructureType::ePipelineInputAssemblyStateCreateInfo

## Detailed Description

Definition at line 10470 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineInputAssemblyStateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::PipelineInputAssemblyStateCreateInfo | ( | PipelineInputAssemblyStateCreateFlags | flags_ = `PipelineInputAssemblyStateCreateFlags()`,
|  | PrimitiveTopology | topology_ = `PrimitiveTopology::ePointList`,
|  | Bool32 | primitiveRestartEnable_ = `0`
| ) |  |

inline

Definition at line 10472 of file vulkan.hpp.

: flags( flags_ )
, topology( topology_ )
, primitiveRestartEnable( primitiveRestartEnable_ )
{
}

## PipelineInputAssemblyStateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::PipelineInputAssemblyStateCreateInfo | ( | VkPipelineInputAssemblyStateCreateInfo const & | rhs | ) |

inline

Definition at line 10481 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineInputAssemblyStateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineInputAssemblyStateCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::operator VkPipelineInputAssemblyStateCreateInfo & | ( |  | ) |

inline

Definition at line 10520 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineInputAssemblyStateCreateInfo*>(this);
}

## operator VkPipelineInputAssemblyStateCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::operator VkPipelineInputAssemblyStateCreateInfo const & | ( |  | ) | const

inline

Definition at line 10515 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineInputAssemblyStateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::operator!= | ( | PipelineInputAssemblyStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10534 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineInputAssemblyStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::operator= | ( | VkPipelineInputAssemblyStateCreateInfo const & | rhs | ) |

inline

Definition at line 10486 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineInputAssemblyStateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::operator== | ( | PipelineInputAssemblyStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10525 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( topology == rhs.topology )
&& ( primitiveRestartEnable == rhs.primitiveRestartEnable );
}

References flags, pNext, primitiveRestartEnable, sType, and topology.

Referenced by operator!=().

## setFlags()

PipelineInputAssemblyStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::setFlags | ( | PipelineInputAssemblyStateCreateFlags | flags_ | ) |

inline

Definition at line 10497 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineInputAssemblyStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 10491 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPrimitiveRestartEnable()

PipelineInputAssemblyStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::setPrimitiveRestartEnable | ( | Bool32 | primitiveRestartEnable_ | ) |

inline

Definition at line 10509 of file vulkan.hpp.

{
primitiveRestartEnable = primitiveRestartEnable_;
return *this;
}

References primitiveRestartEnable.

## setTopology()

PipelineInputAssemblyStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::setTopology | ( | PrimitiveTopology | topology_ | ) |

inline

Definition at line 10503 of file vulkan.hpp.

{
topology = topology_;
return *this;
}

References topology.

## Field Documentation

## flags

PipelineInputAssemblyStateCreateFlags VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::flags

Definition at line 10544 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::pNext = nullptr

Definition at line 10543 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## primitiveRestartEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::primitiveRestartEnable

Definition at line 10546 of file vulkan.hpp.

Referenced by operator==(), and setPrimitiveRestartEnable().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::sType = StructureType::ePipelineInputAssemblyStateCreateInfo

private

Definition at line 10540 of file vulkan.hpp.

Referenced by operator==().

## topology

PrimitiveTopology VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::topology

Definition at line 10545 of file vulkan.hpp.

Referenced by operator==(), and setTopology().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::flags
PipelineInputAssemblyStateCreateFlags flags
Definition: vulkan.hpp:10544
VkPipelineInputAssemblyStateCreateInfo
Definition: vulkan_core.h:2330
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::topology
PrimitiveTopology topology
Definition: vulkan.hpp:10545
VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:10543
VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::operator==
bool operator==(PipelineInputAssemblyStateCreateInfo const &rhs) const
Definition: vulkan.hpp:10525
VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::PipelineInputAssemblyStateCreateInfo
PipelineInputAssemblyStateCreateInfo(PipelineInputAssemblyStateCreateFlags flags_=PipelineInputAssemblyStateCreateFlags(), PrimitiveTopology topology_=PrimitiveTopology::ePointList, Bool32 primitiveRestartEnable_=0)
Definition: vulkan.hpp:10472
VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::primitiveRestartEnable
Bool32 primitiveRestartEnable
Definition: vulkan.hpp:10546
VULKAN_HPP_NAMESPACE::PipelineInputAssemblyStateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:10540
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480